/**
 * @toast-ui/editor : i18n
 * @version 3.2.2 | Fri Feb 17 2023
 * @author NHN Cloud FE Development Lab <dl_javascript@nhn.com>
 * @license MIT
 */

import Editor from '@toast-ui/editor';

/**
 * @fileoverview I18N for Arabic
 * @author Amira Salah <amira.salah@itworx.com>
 */
Editor.setLanguage('ar', {
    Markdown: 'لغة ترميز',
    WYSIWYG: 'ما تراه هو ما تحصل عليه',
    Write: 'يكتب',
    Preview: 'عرض مسبق',
    Headings: 'العناوين',
    Paragraph: 'فقرة',
    Bold: 'خط عريض',
    Italic: 'خط مائل',
    Strike: 'إضراب',
    Code: 'رمز',
    Line: 'خط',
    Blockquote: 'فقرة مقتبسة',
    'Unordered list': 'قائمة غير مرتبة',
    'Ordered list': 'قائمة مرتبة',
    Task: 'مهمة',
    Indent: 'المسافة البادئة',
    Outdent: 'المسافة الخارجة',
    'Insert link': 'أدخل الرابط',
    'Insert CodeBlock': 'أدخل الكود',
    'Insert table': 'أدخل جدول',
    'Insert image': 'أدخل صورة',
    Heading: 'عنوان',
    'Image URL': 'رابط الصورة',
    'Select image file': 'حدد ملف الصورة',
    'Choose a file': 'اختيار الملف',
    'No file': 'لا ملف',
    Description: 'وصف',
    OK: 'موافقة',
    More: 'أكثر',
    Cancel: 'إلغاء',
    File: 'ملف',
    URL: 'رابط',
    'Link text': 'نص الرابط',
    'Add row to up': 'أضف صفًا لأعلى',
    'Add row to down': 'أضف صفًا إلى أسفل',
    'Add column to left': 'أضف العمود على اليسار',
    'Add column to right': 'أضف عمودًا إلى اليمين',
    'Remove row': 'حذف سطر',
    'Remove column': 'حذف عمود',
    'Align column to left': 'محاذاة اليسار',
    'Align column to center': 'محاذاة الوسط',
    'Align column to right': 'محاذاة اليمين',
    'Remove table': 'حذف الجدول',
    'Would you like to paste as table?': 'هل تريد اللصق كجدول',
    'Text color': 'لون النص',
    'Auto scroll enabled': 'التحريك التلقائي ممكّن',
    'Auto scroll disabled': 'التحريك التلقائي معطّل',
    'Choose language': 'اختر اللغة',
});
