/**
 * @toast-ui/editor : i18n
 * @version 3.2.2 | Fri Feb 17 2023
 * @author NHN Cloud FE Development Lab <dl_javascript@nhn.com>
 * @license MIT
 */

import Editor from '@toast-ui/editor';

/**
 * @fileoverview I18N for German
 * @author Jann-Niklas Kiepert <jannkiepert@vivaldi.net>
 */
Editor.setLanguage(['de', 'de-DE'], {
    Markdown: 'Markdown',
    WYSIWYG: 'WYSIWYG',
    Write: 'Verfassen',
    Preview: 'Vorschau',
    Headings: 'Überschriften',
    Paragraph: 'Text',
    Bold: 'Fett',
    Italic: 'Kursiv',
    Strike: 'Durchgestrichen',
    Code: 'Code',
    Line: 'Trennlinie',
    Blockquote: 'Blocktext',
    'Unordered list': 'Aufzählung',
    'Ordered list': 'Nummerierte Aufzählung',
    Task: 'Aufgabe',
    Indent: 'Einrücken',
    Outdent: 'Ausrücken',
    'Insert link': 'Link einfügen',
    'Insert CodeBlock': 'Codeblock einfügen',
    'Insert table': 'Tabelle einfügen',
    'Insert image': 'Grafik einfügen',
    Heading: 'Titel',
    'Image URL': 'Bild URL',
    'Select image file': 'Grafik auswählen',
    'Choose a file': 'Wähle eine Datei',
    'No file': 'Keine Datei',
    Description: 'Beschreibung',
    OK: 'OK',
    More: 'Mehr',
    Cancel: 'Abbrechen',
    File: 'Datei',
    URL: 'URL',
    'Link text': 'Anzuzeigender Text',
    'Add row to up': 'Zeile nach oben hinzufügen',
    'Add row to down': 'Zeile nach unten hinzufügen',
    'Add column to left': 'Spalte links hinzufügen',
    'Add column to right': 'Spalte rechts hinzufügen',
    'Remove row': 'Zeile entfernen',
    'Remove column': 'Spalte entfernen',
    'Align column to left': 'Links ausrichten',
    'Align column to center': 'Zentrieren',
    'Align column to right': 'Rechts ausrichten',
    'Remove table': 'Tabelle entfernen',
    'Would you like to paste as table?': 'Möchten Sie eine Tabelle einfügen?',
    'Text color': 'Textfarbe',
    'Auto scroll enabled': 'Autoscrollen aktiviert',
    'Auto scroll disabled': 'Autoscrollen deaktiviert',
    'Choose language': 'Sprache auswählen',
});
