/**
 * @toast-ui/editor : i18n
 * @version 3.2.2 | Fri Feb 17 2023
 * @author NHN Cloud FE Development Lab <dl_javascript@nhn.com>
 * @license MIT
 */

import Editor from '@toast-ui/editor';

/**
 * @fileoverview I18N for Português
 * @author Nícolas Huber <nicolasluishuber@gmail.com>
 */
Editor.setLanguage(['pt', 'pt-BR'], {
    Markdown: 'Markdown',
    WYSIWYG: 'WYSIWYG',
    Write: 'Escrever',
    Preview: 'Pré-visualizar',
    Headings: 'Cabeçalhos',
    Paragraph: 'Parágrafo',
    Bold: 'Negrito',
    Italic: 'Itálico',
    Strike: 'Traçado',
    Code: 'Código',
    Line: 'Linha',
    Blockquote: 'Bloco de citação',
    'Unordered list': 'Lista não ordenada',
    'Ordered list': 'Lista ordenada',
    Task: 'Tarefa',
    Indent: 'Recuo à esquerda',
    Outdent: 'Recuo à direita',
    'Insert link': 'Inserir link',
    'Insert CodeBlock': 'Inserir bloco de código',
    'Insert table': 'Inserir tabela',
    'Insert image': 'Inserir imagem',
    Heading: 'Título',
    'Image URL': 'URL da imagem',
    'Select image file': 'Selecione um arquivo de imagem',
    'Choose a file': 'Escolha um arquivo',
    'No file': 'Nenhum arquivo',
    Description: 'Descrição',
    OK: 'OK',
    More: 'Mais',
    Cancel: 'Cancelar',
    File: 'Arquivo',
    URL: 'URL',
    'Link text': 'Link de texto',
    'Add row to up': 'Adicionar linha para cima',
    'Add row to down': 'Adicionar linha para baixo',
    'Add column to left': 'Adicionar coluna à esquerda',
    'Add column to right': 'Adicionar coluna à direita',
    'Remove row': 'Remover linha',
    'Remove column': 'Remover coluna',
    'Align column to left': 'Alinhar à esquerda',
    'Align column to center': 'Alinhar ao centro',
    'Align column to right': 'Alinhar à direita',
    'Remove table': 'Remover tabela',
    'Would you like to paste as table?': 'Você gostaria de colar como mesa?',
    'Text color': 'Cor do texto',
    'Auto scroll enabled': 'Rolagem automática habilitada',
    'Auto scroll disabled': 'Rolagem automática desabilitada',
    'Choose language': 'Escolher linguagem',
});
