/**
 * @toast-ui/editor : i18n
 * @version 3.2.2 | Fri Feb 17 2023
 * @author NHN Cloud FE Development Lab <dl_javascript@nhn.com>
 * @license MIT
 */

import Editor from '@toast-ui/editor';

/**
 * @fileoverview I18N for Traditional Chinese
 * @author Tzu-Ray Su <raysu3329@gmail.com>
 */
Editor.setLanguage('zh-TW', {
    Markdown: 'Markdown',
    WYSIWYG: '所見即所得',
    Write: '編輯',
    Preview: '預覽',
    Headings: '標題',
    Paragraph: '內文',
    Bold: '粗體',
    Italic: '斜體',
    Strike: '刪除線',
    Code: '內嵌程式碼',
    Line: '分隔線',
    Blockquote: '引言',
    'Unordered list': '項目符號清單',
    'Ordered list': '編號清單',
    Task: '核取方塊清單',
    Indent: '增加縮排',
    Outdent: '減少縮排',
    'Insert link': '插入超連結',
    'Insert CodeBlock': '插入程式碼區塊',
    'Insert table': '插入表格',
    'Insert image': '插入圖片',
    Heading: '標題',
    'Image URL': '圖片網址',
    'Select image file': '選擇圖片檔案',
    'Choose a file': '選擇一個文件',
    'No file': '沒有文件',
    Description: '描述',
    OK: '確認',
    More: '更多',
    Cancel: '取消',
    File: '檔案',
    URL: 'URL',
    'Link text': '超連結文字',
    'Add row to up': '向上添加行',
    'Add row to down': '在下方添加行',
    'Add column to left': '在左側添加列',
    'Add column to right': '在右側添加列',
    'Remove row': '刪除行',
    'Remove column': '刪除列',
    'Align column to left': '靠左對齊',
    'Align column to center': '置中',
    'Align column to right': '靠右對齊',
    'Remove table': '刪除表格',
    'Would you like to paste as table?': '您要以表格貼上嗎？',
    'Text color': '文字顏色',
    'Auto scroll enabled': '已啟用自動滾動',
    'Auto scroll disabled': '已停用自動滾動',
    'Choose language': '選擇語言',
});
